:host {
  position: fixed;
  z-index: 100;
}

.background {
  background: black;
  opacity: 0.5;
  width: 100vw;
  height: 100vh;
}

.card {
  position: absolute;
  z-index: 100;
  background: white;
  width: 80%;
  padding: 20px;
  margin-left: calc(10% - 20px);
  top: 50%;
  transform: translateY(-50%);
  display: flex;
  flex-direction: column;
  align-items: center;
}

.header {
  margin-bottom: 30px;
  font-size: 20px;
  font-weight: 600;
}

.message {

  display: flex;

  label {
    text-align: right;
    margin-right: 10px;
  }

  input {
    width: 50px;
  }
}

.footer {
  margin-top: 40px;
  display: flex;
  justify-content: flex-end;
  width: 100%;

  .cancel-button {
    margin-right: 10px;
    background-color: #777;

    &:active {
      background-color: #444;
    }
  }

  button {
    width: 25%;
    height: 40px;
    margin-top: 20px;
    background-color: #333;
    color: white;
    border: none;
  }
}
